composer安装依赖时,出现内存错误


在项目需要用到极光推送时,使用Composer require命令引入依赖,缺报错内存超限问题,如下所示


解决方案:

找到对应运行的php版本的php.ini文件,修改配置参数 memory_limit 为 -1,保存后,重启apache或nginx即可

安装完成后要记得修改回来~

声明:Twhmr|版权所有,违者必究|如未注明,均为原创|本网站采用BY-NC-SA协议进行授权

转载:转载请注明原文链接 - composer安装依赖时,出现内存错误


有限的时间,实现无限的梦想。